#include <poslib/poslib.h>
#include <gtk/gtk.h>

extern GtkWidget *frmNew;
void show_error_message(const char *error);
extern char nttl[32];
extern char filename[2048];
extern domainname znroot;
void unset_edited();
void set_edited();
extern bool is_empty_new;
extern bool do_new;

extern bool do_update_serial;

#define DEFAULT_SOA_RECORD "ns1 hostmaster 1 2h 1h 2d 2h"

void undo_clear();

void
on_cmdFileNew_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuFileOpen_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuFileSave_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuFileSaveas_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuFileExit_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cmdFileRecent_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_mnuHelpAbout_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
                                        
void
on_mnuRrEdit_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRrRemove_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cmdFileNew_activate                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdNew_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdOpen_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdSave_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdInsert_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdRemove_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_mnuFileNew_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cmdClose_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdErrorOK_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_frmError_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_cmdConfig_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_frmZoneconfig_delete_event          (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_table1_delete_event                 (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_frmAbout_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_cmdOK_clicked                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdCancel_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdSyntax_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_mnuRR_A_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_AAAA_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_NS_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_CNAME_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_MX_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_PTR_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_SRV_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_TXT_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_HINFO_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_WKS_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_RP_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_AFSDB_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_PX_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_NAPTR_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_lstRrs_select_row                   (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_lstRrs_button_press_event           (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_cmdSoaOk_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdSoaCancel_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdGenericOk_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdGenericCancel_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_txtRoot_changed                     (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_mnuToolsRelative_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuToolsAbsolute_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_frmMain_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_cmdSaveOK_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdSaveCancel_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdNewOK_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdNewCancel_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdRR_Two_OK_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdRR_Two_Cancel_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_frmSRV_cmdOK_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_frmSRV_cmdCancel_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdOverwriteOK_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdOverwriteCancel_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_mnuRRundo_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRRredo_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuToolsAutoserial_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_mnuToolsCachefile_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_SOA_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mnuRR_LOC_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
