/***************************************************************************
                          io.h  -  i/o
                             -------------------
    begin                : vr feb 7 2003
    copyright            : (C) 2003 by meilof
    email                : meilof@athlon
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __POSIO_H
#define __POSIO_H

#include <poslib/poslib.h>
#include <stdio.h>

typedef enum { none, loaded, edited } _status;
extern _status status;
extern stl_string zone_data;
extern bool is_cachefile;

bool file_exists(const char *file);
void discard_current_data();
bool load_master_file(const char *file);
bool save_master_file(const char *file = (const char *)NULL);
bool syntax_check();

void zone_makerelative(bool isrelative);

#endif /* __POSIO_H */
