/*
 * WIJZIG DIT BESTAND NIET - het is gegenereerd door Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget*
create_frmMain (void)
{
  GtkWidget *frmMain;
  GtkWidget *vbox1;
  GtkWidget *mnuMain;
  GtkWidget *mnuFile;
  GtkWidget *mnuFile_menu;
  GtkAccelGroup *mnuFile_menu_accels;
  GtkWidget *mnuFileNew;
  GtkWidget *mnuFileOpen;
  GtkWidget *mnuFileSave;
  GtkWidget *mnuFileSaveas;
  GtkWidget *scheidslijn1;
  GtkWidget *mnuFileExit;
  GtkWidget *scheidslijn2;
  GtkWidget *mnuRecord;
  GtkWidget *mnuRecord_menu;
  GtkAccelGroup *mnuRecord_menu_accels;
  GtkWidget *mnuRRundo;
  GtkWidget *mnuRRredo;
  GtkWidget *scheidslijn5;
  GtkWidget *mnuRrEdit;
  GtkWidget *mnuRrRemove;
  GtkWidget *mnuRR;
  GtkWidget *mnuRR_menu;
  GtkAccelGroup *mnuRR_menu_accels;
  GtkWidget *mnuRR_A;
  GtkWidget *mnuRR_AAAA;
  GtkWidget *mnuRR_NS;
  GtkWidget *mnuRR_CNAME;
  GtkWidget *mnuRR_MX;
  GtkWidget *mnuRR_PTR;
  GtkWidget *mnuRR_SRV;
  GtkWidget *mnuRR_TXT;
  GtkWidget *mnuRR_SOA;
  GtkWidget *mnuRR_HINFO;
  GtkWidget *mnuRR_WKS;
  GtkWidget *mnuRR_RP;
  GtkWidget *mnuRR_AFSDB;
  GtkWidget *mnuRR_PX;
  GtkWidget *mnuRR_NAPTR;
  GtkWidget *mnuRR_LOC;
  GtkWidget *mnuTools;
  GtkWidget *mnuTools_menu;
  GtkAccelGroup *mnuTools_menu_accels;
  GtkWidget *mnuToolsRelative;
  GtkWidget *mnuToolsAbsolute;
  GtkWidget *mnuToolsAutoserial;
  GtkWidget *mnuToolsCachefile;
  GtkWidget *mnuHelp;
  GtkWidget *mnuHelp_menu;
  GtkAccelGroup *mnuHelp_menu_accels;
  GtkWidget *mnuHelpAbout;
  GtkWidget *toolbar2;
  GtkWidget *tmp_toolbar_icon;
  GtkWidget *cmdNew;
  GtkWidget *cmdOpen;
  GtkWidget *cmdSave;
  GtkWidget *cmdInsert;
  GtkWidget *cmdRemove;
  GtkWidget *vbox2;
  GtkWidget *hbox1;
  GtkWidget *label6;
  GtkWidget *txtRoot;
  GtkWidget *cmdConfig;
  GtkWidget *cmdSyntax;
  GtkWidget *scrolledwindow1;
  GtkWidget *lstRrs;
  GtkWidget *label2;
  GtkWidget *label3;
  GtkWidget *label4;
  GtkWidget *label5;
  GtkWidget *statusbar1;
  GtkAccelGroup *accel_group;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  accel_group = gtk_accel_group_new ();

  frmMain = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmMain), "frmMain", frmMain);
  gtk_window_set_title (GTK_WINDOW (frmMain), "Master File Editor");
  gtk_window_set_default_size (GTK_WINDOW (frmMain), 600, 400);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frmMain), vbox1);

  mnuMain = gtk_menu_bar_new ();
  gtk_widget_ref (mnuMain);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuMain", mnuMain,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuMain);
  gtk_box_pack_start (GTK_BOX (vbox1), mnuMain, FALSE, FALSE, 0);

  mnuFile = gtk_menu_item_new_with_label ("File");
  gtk_widget_ref (mnuFile);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFile", mnuFile,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuFile);
  gtk_container_add (GTK_CONTAINER (mnuMain), mnuFile);
  gtk_tooltips_set_tip (tooltips, mnuFile, "File operations", NULL);

  mnuFile_menu = gtk_menu_new ();
  gtk_widget_ref (mnuFile_menu);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFile_menu", mnuFile_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (mnuFile), mnuFile_menu);
  mnuFile_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (mnuFile_menu));

  mnuFileNew = gtk_menu_item_new_with_label ("New...");
  gtk_widget_ref (mnuFileNew);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFileNew", mnuFileNew,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuFileNew);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), mnuFileNew);
  gtk_tooltips_set_tip (tooltips, mnuFileNew, "Create a new master file", NULL);

  mnuFileOpen = gtk_menu_item_new_with_label ("Open");
  gtk_widget_ref (mnuFileOpen);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFileOpen", mnuFileOpen,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuFileOpen);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), mnuFileOpen);
  gtk_tooltips_set_tip (tooltips, mnuFileOpen, "Open a master file", NULL);
  gtk_widget_add_accelerator (mnuFileOpen, "activate", accel_group,
                              GDK_O, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuFileSave = gtk_menu_item_new_with_label ("Save");
  gtk_widget_ref (mnuFileSave);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFileSave", mnuFileSave,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuFileSave);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), mnuFileSave);
  gtk_tooltips_set_tip (tooltips, mnuFileSave, "Save the current master file", NULL);
  gtk_widget_add_accelerator (mnuFileSave, "activate", accel_group,
                              GDK_S, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuFileSaveas = gtk_menu_item_new_with_label ("Save as...");
  gtk_widget_ref (mnuFileSaveas);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFileSaveas", mnuFileSaveas,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuFileSaveas);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), mnuFileSaveas);
  gtk_tooltips_set_tip (tooltips, mnuFileSaveas, "Save the current masterfile under a different name", NULL);
  gtk_widget_add_accelerator (mnuFileSaveas, "activate", accel_group,
                              GDK_A, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  scheidslijn1 = gtk_menu_item_new ();
  gtk_widget_ref (scheidslijn1);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "scheidslijn1", scheidslijn1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scheidslijn1);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), scheidslijn1);
  gtk_widget_set_sensitive (scheidslijn1, FALSE);

  mnuFileExit = gtk_menu_item_new_with_label ("Exit");
  gtk_widget_ref (mnuFileExit);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuFileExit", mnuFileExit,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuFileExit);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), mnuFileExit);
  gtk_tooltips_set_tip (tooltips, mnuFileExit, "Close this application", NULL);

  scheidslijn2 = gtk_menu_item_new ();
  gtk_widget_ref (scheidslijn2);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "scheidslijn2", scheidslijn2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scheidslijn2);
  gtk_container_add (GTK_CONTAINER (mnuFile_menu), scheidslijn2);
  gtk_widget_set_sensitive (scheidslijn2, FALSE);

  mnuRecord = gtk_menu_item_new_with_label ("Edit");
  gtk_widget_ref (mnuRecord);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRecord", mnuRecord,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRecord);
  gtk_container_add (GTK_CONTAINER (mnuMain), mnuRecord);
  gtk_tooltips_set_tip (tooltips, mnuRecord, "Resource Record operations", NULL);

  mnuRecord_menu = gtk_menu_new ();
  gtk_widget_ref (mnuRecord_menu);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRecord_menu", mnuRecord_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (mnuRecord), mnuRecord_menu);
  mnuRecord_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (mnuRecord_menu));

  mnuRRundo = gtk_menu_item_new_with_label ("Undo last operation");
  gtk_widget_ref (mnuRRundo);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRRundo", mnuRRundo,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRRundo);
  gtk_container_add (GTK_CONTAINER (mnuRecord_menu), mnuRRundo);
  gtk_tooltips_set_tip (tooltips, mnuRRundo, "Undo the last action you performed", NULL);
  gtk_widget_add_accelerator (mnuRRundo, "activate", accel_group,
                              GDK_Z, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRRredo = gtk_menu_item_new_with_label ("Redo last operation");
  gtk_widget_ref (mnuRRredo);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRRredo", mnuRRredo,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRRredo);
  gtk_container_add (GTK_CONTAINER (mnuRecord_menu), mnuRRredo);
  gtk_tooltips_set_tip (tooltips, mnuRRredo, "Redo the last action you undid", NULL);
  gtk_widget_add_accelerator (mnuRRredo, "activate", accel_group,
                              GDK_Z, GDK_CONTROL_MASK | GDK_SHIFT_MASK,
                              GTK_ACCEL_VISIBLE);

  scheidslijn5 = gtk_menu_item_new ();
  gtk_widget_ref (scheidslijn5);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "scheidslijn5", scheidslijn5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scheidslijn5);
  gtk_container_add (GTK_CONTAINER (mnuRecord_menu), scheidslijn5);
  gtk_widget_set_sensitive (scheidslijn5, FALSE);

  mnuRrEdit = gtk_menu_item_new_with_label ("Edit");
  gtk_widget_ref (mnuRrEdit);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRrEdit", mnuRrEdit,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRrEdit);
  gtk_container_add (GTK_CONTAINER (mnuRecord_menu), mnuRrEdit);
  gtk_tooltips_set_tip (tooltips, mnuRrEdit, "Edits the currently selected Resource Record", NULL);
  gtk_widget_add_accelerator (mnuRrEdit, "activate", accel_group,
                              GDK_Return, 0,
                              GTK_ACCEL_VISIBLE);

  mnuRrRemove = gtk_menu_item_new_with_label ("Remove");
  gtk_widget_ref (mnuRrRemove);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRrRemove", mnuRrRemove,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRrRemove);
  gtk_container_add (GTK_CONTAINER (mnuRecord_menu), mnuRrRemove);
  gtk_tooltips_set_tip (tooltips, mnuRrRemove, "Removes the currently selected Resorce Record", NULL);
  gtk_widget_add_accelerator (mnuRrRemove, "activate", accel_group,
                              GDK_D, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR = gtk_menu_item_new_with_label ("New RR");
  gtk_widget_ref (mnuRR);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR", mnuRR,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR);
  gtk_container_add (GTK_CONTAINER (mnuMain), mnuRR);
  gtk_tooltips_set_tip (tooltips, mnuRR, "Add a new Resource Record", NULL);

  mnuRR_menu = gtk_menu_new ();
  gtk_widget_ref (mnuRR_menu);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_menu", mnuRR_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (mnuRR), mnuRR_menu);
  mnuRR_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (mnuRR_menu));

  mnuRR_A = gtk_menu_item_new_with_label ("A - IPv4 Address");
  gtk_widget_ref (mnuRR_A);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_A", mnuRR_A,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_A);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_A);
  gtk_tooltips_set_tip (tooltips, mnuRR_A, "Add a new IPv4 address record", NULL);
  gtk_widget_add_accelerator (mnuRR_A, "activate", accel_group,
                              GDK_4, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_AAAA = gtk_menu_item_new_with_label ("AAAA - IPv6 Address");
  gtk_widget_ref (mnuRR_AAAA);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_AAAA", mnuRR_AAAA,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_AAAA);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_AAAA);
  gtk_tooltips_set_tip (tooltips, mnuRR_AAAA, "Add a new IPv6 address record", NULL);
  gtk_widget_add_accelerator (mnuRR_AAAA, "activate", accel_group,
                              GDK_6, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_NS = gtk_menu_item_new_with_label ("NS - Nameserver");
  gtk_widget_ref (mnuRR_NS);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_NS", mnuRR_NS,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_NS);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_NS);
  gtk_tooltips_set_tip (tooltips, mnuRR_NS, "Add a new Nameserver record", NULL);
  gtk_widget_add_accelerator (mnuRR_NS, "activate", accel_group,
                              GDK_N, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_CNAME = gtk_menu_item_new_with_label ("CNAME - Alias");
  gtk_widget_ref (mnuRR_CNAME);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_CNAME", mnuRR_CNAME,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_CNAME);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_CNAME);
  gtk_tooltips_set_tip (tooltips, mnuRR_CNAME, "Add a new alias record", NULL);
  gtk_widget_add_accelerator (mnuRR_CNAME, "activate", accel_group,
                              GDK_C, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_MX = gtk_menu_item_new_with_label ("MX - Mail server");
  gtk_widget_ref (mnuRR_MX);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_MX", mnuRR_MX,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_MX);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_MX);
  gtk_tooltips_set_tip (tooltips, mnuRR_MX, "Add a new mail server for the domain", NULL);
  gtk_widget_add_accelerator (mnuRR_MX, "activate", accel_group,
                              GDK_M, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_PTR = gtk_menu_item_new_with_label ("PTR - Reverse mapping");
  gtk_widget_ref (mnuRR_PTR);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_PTR", mnuRR_PTR,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_PTR);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_PTR);
  gtk_tooltips_set_tip (tooltips, mnuRR_PTR, "Add a new reverse-mapping pointer record", NULL);
  gtk_widget_add_accelerator (mnuRR_PTR, "activate", accel_group,
                              GDK_P, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_SRV = gtk_menu_item_new_with_label ("SRV - Service");
  gtk_widget_ref (mnuRR_SRV);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_SRV", mnuRR_SRV,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_SRV);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_SRV);
  gtk_tooltips_set_tip (tooltips, mnuRR_SRV, "Add a new SRV record", NULL);
  gtk_widget_add_accelerator (mnuRR_SRV, "activate", accel_group,
                              GDK_R, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_TXT = gtk_menu_item_new_with_label ("TXT - Free-form text");
  gtk_widget_ref (mnuRR_TXT);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_TXT", mnuRR_TXT,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_TXT);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_TXT);
  gtk_tooltips_set_tip (tooltips, mnuRR_TXT, "Add new free-form text", NULL);
  gtk_widget_add_accelerator (mnuRR_TXT, "activate", accel_group,
                              GDK_T, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_SOA = gtk_menu_item_new_with_label ("SOA - Start of Authority");
  gtk_widget_ref (mnuRR_SOA);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_SOA", mnuRR_SOA,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_SOA);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_SOA);
  gtk_tooltips_set_tip (tooltips, mnuRR_SOA, "Add a start of authority (zone information) record", NULL);
  gtk_widget_add_accelerator (mnuRR_SOA, "activate", accel_group,
                              GDK_H, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_HINFO = gtk_menu_item_new_with_label ("HINFO - Host information");
  gtk_widget_ref (mnuRR_HINFO);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_HINFO", mnuRR_HINFO,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_HINFO);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_HINFO);
  gtk_tooltips_set_tip (tooltips, mnuRR_HINFO, "Add a Host Information record", NULL);
  gtk_widget_add_accelerator (mnuRR_HINFO, "activate", accel_group,
                              GDK_H, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_WKS = gtk_menu_item_new_with_label ("WKS - Well-known services");
  gtk_widget_ref (mnuRR_WKS);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_WKS", mnuRR_WKS,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_WKS);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_WKS);
  gtk_tooltips_set_tip (tooltips, mnuRR_WKS, "Add a new service support RR", NULL);
  gtk_widget_add_accelerator (mnuRR_WKS, "activate", accel_group,
                              GDK_W, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_RP = gtk_menu_item_new_with_label ("RP - Responsible Person");
  gtk_widget_ref (mnuRR_RP);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_RP", mnuRR_RP,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_RP);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_RP);
  gtk_tooltips_set_tip (tooltips, mnuRR_RP, "Show who's in charge", NULL);
  gtk_widget_add_accelerator (mnuRR_RP, "activate", accel_group,
                              GDK_E, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_AFSDB = gtk_menu_item_new_with_label ("AFSDB - Andrew File System Database");
  gtk_widget_ref (mnuRR_AFSDB);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_AFSDB", mnuRR_AFSDB,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_AFSDB);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_AFSDB);
  gtk_tooltips_set_tip (tooltips, mnuRR_AFSDB, "Add another AFSDB record", NULL);
  gtk_widget_add_accelerator (mnuRR_AFSDB, "activate", accel_group,
                              GDK_A, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_PX = gtk_menu_item_new_with_label ("PX - ISDN mapping");
  gtk_widget_ref (mnuRR_PX);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_PX", mnuRR_PX,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_PX);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_PX);
  gtk_tooltips_set_tip (tooltips, mnuRR_PX, "Add a new PX record", NULL);
  gtk_widget_add_accelerator (mnuRR_PX, "activate", accel_group,
                              GDK_X, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_NAPTR = gtk_menu_item_new_with_label ("NAPTR - Naming Authority pointer");
  gtk_widget_ref (mnuRR_NAPTR);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_NAPTR", mnuRR_NAPTR,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_NAPTR);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_NAPTR);
  gtk_tooltips_set_tip (tooltips, mnuRR_NAPTR, "Add a new NAPTR record", NULL);
  gtk_widget_add_accelerator (mnuRR_NAPTR, "activate", accel_group,
                              GDK_Y, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuRR_LOC = gtk_menu_item_new_with_label ("LOC - Physical location");
  gtk_widget_ref (mnuRR_LOC);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuRR_LOC", mnuRR_LOC,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuRR_LOC);
  gtk_container_add (GTK_CONTAINER (mnuRR_menu), mnuRR_LOC);
  gtk_tooltips_set_tip (tooltips, mnuRR_LOC, "Add a new LOC record", NULL);
  gtk_widget_add_accelerator (mnuRR_LOC, "activate", accel_group,
                              GDK_I, GDK_CONTROL_MASK,
                              GTK_ACCEL_VISIBLE);

  mnuTools = gtk_menu_item_new_with_label ("Tools");
  gtk_widget_ref (mnuTools);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuTools", mnuTools,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuTools);
  gtk_container_add (GTK_CONTAINER (mnuMain), mnuTools);
  gtk_tooltips_set_tip (tooltips, mnuTools, "Master file tools", NULL);

  mnuTools_menu = gtk_menu_new ();
  gtk_widget_ref (mnuTools_menu);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuTools_menu", mnuTools_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (mnuTools), mnuTools_menu);
  mnuTools_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (mnuTools_menu));

  mnuToolsRelative = gtk_menu_item_new_with_label ("Make domains relative");
  gtk_widget_ref (mnuToolsRelative);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuToolsRelative", mnuToolsRelative,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuToolsRelative);
  gtk_container_add (GTK_CONTAINER (mnuTools_menu), mnuToolsRelative);
  gtk_tooltips_set_tip (tooltips, mnuToolsRelative, "Male all domain names in RR data in the zone relative", NULL);

  mnuToolsAbsolute = gtk_menu_item_new_with_label ("Make domains absolute");
  gtk_widget_ref (mnuToolsAbsolute);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuToolsAbsolute", mnuToolsAbsolute,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuToolsAbsolute);
  gtk_container_add (GTK_CONTAINER (mnuTools_menu), mnuToolsAbsolute);
  gtk_tooltips_set_tip (tooltips, mnuToolsAbsolute, "Make all domain names in RR data absolute", NULL);

  mnuToolsAutoserial = gtk_check_menu_item_new_with_label ("Increase serial number on save");
  gtk_widget_ref (mnuToolsAutoserial);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuToolsAutoserial", mnuToolsAutoserial,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuToolsAutoserial);
  gtk_container_add (GTK_CONTAINER (mnuTools_menu), mnuToolsAutoserial);
  gtk_check_menu_item_set_active (GTK_CHECK_MENU_ITEM (mnuToolsAutoserial), TRUE);
  gtk_check_menu_item_set_show_toggle (GTK_CHECK_MENU_ITEM (mnuToolsAutoserial), TRUE);

  mnuToolsCachefile = gtk_check_menu_item_new_with_label ("Is cache data file");
  gtk_widget_ref (mnuToolsCachefile);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuToolsCachefile", mnuToolsCachefile,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuToolsCachefile);
  gtk_container_add (GTK_CONTAINER (mnuTools_menu), mnuToolsCachefile);
  gtk_tooltips_set_tip (tooltips, mnuToolsCachefile, "File is a cache file", NULL);
  gtk_check_menu_item_set_active (GTK_CHECK_MENU_ITEM (mnuToolsCachefile), TRUE);
  gtk_check_menu_item_set_show_toggle (GTK_CHECK_MENU_ITEM (mnuToolsCachefile), TRUE);

  mnuHelp = gtk_menu_item_new_with_label ("Help");
  gtk_widget_ref (mnuHelp);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuHelp", mnuHelp,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuHelp);
  gtk_container_add (GTK_CONTAINER (mnuMain), mnuHelp);
  gtk_tooltips_set_tip (tooltips, mnuHelp, "Help info", NULL);

  mnuHelp_menu = gtk_menu_new ();
  gtk_widget_ref (mnuHelp_menu);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuHelp_menu", mnuHelp_menu,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (mnuHelp), mnuHelp_menu);
  mnuHelp_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (mnuHelp_menu));

  mnuHelpAbout = gtk_menu_item_new_with_label ("About...");
  gtk_widget_ref (mnuHelpAbout);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "mnuHelpAbout", mnuHelpAbout,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mnuHelpAbout);
  gtk_container_add (GTK_CONTAINER (mnuHelp_menu), mnuHelpAbout);
  gtk_tooltips_set_tip (tooltips, mnuHelpAbout, "Information about this application", NULL);

  toolbar2 = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  gtk_widget_ref (toolbar2);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "toolbar2", toolbar2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (toolbar2);
  gtk_box_pack_start (GTK_BOX (vbox1), toolbar2, FALSE, FALSE, 0);

  tmp_toolbar_icon = create_pixmap (frmMain, "tb_new.xpm");
  cmdNew = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar2),
                                GTK_TOOLBAR_CHILD_BUTTON,
                                NULL,
                                "New",
                                "Creates a new Master file", NULL,
                                tmp_toolbar_icon, NULL, NULL);
  gtk_widget_ref (cmdNew);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdNew", cmdNew,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdNew);

  tmp_toolbar_icon = create_pixmap (frmMain, "tb_open.xpm");
  cmdOpen = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar2),
                                GTK_TOOLBAR_CHILD_BUTTON,
                                NULL,
                                "Open",
                                "Opens an existing master file", NULL,
                                tmp_toolbar_icon, NULL, NULL);
  gtk_widget_ref (cmdOpen);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdOpen", cmdOpen,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdOpen);

  tmp_toolbar_icon = create_pixmap (frmMain, "tb_save.xpm");
  cmdSave = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar2),
                                GTK_TOOLBAR_CHILD_BUTTON,
                                NULL,
                                "Save",
                                "Saves the current master file", NULL,
                                tmp_toolbar_icon, NULL, NULL);
  gtk_widget_ref (cmdSave);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdSave", cmdSave,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdSave);

  gtk_toolbar_append_space (GTK_TOOLBAR (toolbar2));

  tmp_toolbar_icon = create_pixmap (frmMain, "tb_edit.xpm");
  cmdInsert = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar2),
                                GTK_TOOLBAR_CHILD_BUTTON,
                                NULL,
                                "Insert",
                                "Inserts a Resource Record", NULL,
                                tmp_toolbar_icon, NULL, NULL);
  gtk_widget_ref (cmdInsert);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdInsert", cmdInsert,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdInsert);

  tmp_toolbar_icon = create_pixmap (frmMain, "tb_trash.xpm");
  cmdRemove = gtk_toolbar_append_element (GTK_TOOLBAR (toolbar2),
                                GTK_TOOLBAR_CHILD_BUTTON,
                                NULL,
                                "Del",
                                "Removes the currently selected Resource Record", NULL,
                                tmp_toolbar_icon, NULL, NULL);
  gtk_widget_ref (cmdRemove);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdRemove", cmdRemove,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdRemove);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox2);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "vbox2", vbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), vbox2, TRUE, TRUE, 0);

  hbox1 = gtk_hbox_new (FALSE, 2);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox1, FALSE, TRUE, 0);

  label6 = gtk_label_new ("Zone root:");
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_box_pack_start (GTK_BOX (hbox1), label6, FALSE, FALSE, 0);

  txtRoot = gtk_entry_new ();
  gtk_widget_ref (txtRoot);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "txtRoot", txtRoot,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtRoot);
  gtk_box_pack_start (GTK_BOX (hbox1), txtRoot, TRUE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, txtRoot, "The root domain of the zone", NULL);

  cmdConfig = gtk_button_new_with_label ("Zone configuration");
  gtk_widget_ref (cmdConfig);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdConfig", cmdConfig,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdConfig);
  gtk_box_pack_start (GTK_BOX (hbox1), cmdConfig, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, cmdConfig, "Edits embeddable configuration settings (for Pos6)", NULL);

  cmdSyntax = gtk_button_new_with_label ("Syntax Check");
  gtk_widget_ref (cmdSyntax);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "cmdSyntax", cmdSyntax,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdSyntax);
  gtk_box_pack_start (GTK_BOX (hbox1), cmdSyntax, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, cmdSyntax, "Checks the zone for syntax errors", NULL);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (vbox2), scrolledwindow1, TRUE, TRUE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow1), GTK_POLICY_AUTOMATIC, GTK_POLICY_ALWAYS);

  lstRrs = gtk_clist_new (4);
  gtk_widget_ref (lstRrs);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "lstRrs", lstRrs,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lstRrs);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), lstRrs);
  gtk_tooltips_set_tip (tooltips, lstRrs, "All Resource Records from the zone", NULL);
  gtk_clist_set_column_width (GTK_CLIST (lstRrs), 0, 186);
  gtk_clist_set_column_width (GTK_CLIST (lstRrs), 1, 45);
  gtk_clist_set_column_width (GTK_CLIST (lstRrs), 2, 53);
  gtk_clist_set_column_width (GTK_CLIST (lstRrs), 3, 80);
  gtk_clist_column_titles_show (GTK_CLIST (lstRrs));

  label2 = gtk_label_new ("Domain name");
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_clist_set_column_widget (GTK_CLIST (lstRrs), 0, label2);

  label3 = gtk_label_new ("TTL");
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_clist_set_column_widget (GTK_CLIST (lstRrs), 1, label3);

  label4 = gtk_label_new ("Type");
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_clist_set_column_widget (GTK_CLIST (lstRrs), 2, label4);

  label5 = gtk_label_new ("Data");
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_clist_set_column_widget (GTK_CLIST (lstRrs), 3, label5);

  statusbar1 = gtk_statusbar_new ();
  gtk_widget_ref (statusbar1);
  gtk_object_set_data_full (GTK_OBJECT (frmMain), "statusbar1", statusbar1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (statusbar1);
  gtk_box_pack_start (GTK_BOX (vbox1), statusbar1, FALSE, FALSE, 0);

  gtk_signal_connect (GTK_OBJECT (frmMain), "delete_event",
                      GTK_SIGNAL_FUNC (on_frmMain_delete_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuFileNew), "activate",
                      GTK_SIGNAL_FUNC (on_mnuFileNew_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuFileOpen), "activate",
                      GTK_SIGNAL_FUNC (on_mnuFileOpen_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuFileSave), "activate",
                      GTK_SIGNAL_FUNC (on_mnuFileSave_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuFileSaveas), "activate",
                      GTK_SIGNAL_FUNC (on_mnuFileSaveas_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuFileExit), "activate",
                      GTK_SIGNAL_FUNC (on_mnuFileExit_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRRundo), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRRundo_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRRredo), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRRredo_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRrEdit), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRrEdit_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRrRemove), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRrRemove_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_A), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_A_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_AAAA), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_AAAA_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_NS), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_NS_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_CNAME), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_CNAME_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_MX), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_MX_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_PTR), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_PTR_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_SRV), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_SRV_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_TXT), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_TXT_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_SOA), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_SOA_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_HINFO), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_HINFO_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_WKS), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_WKS_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_RP), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_RP_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_AFSDB), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_AFSDB_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_PX), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_PX_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_NAPTR), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_NAPTR_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuRR_LOC), "activate",
                      GTK_SIGNAL_FUNC (on_mnuRR_LOC_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuToolsRelative), "activate",
                      GTK_SIGNAL_FUNC (on_mnuToolsRelative_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuToolsAbsolute), "activate",
                      GTK_SIGNAL_FUNC (on_mnuToolsAbsolute_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuToolsAutoserial), "activate",
                      GTK_SIGNAL_FUNC (on_mnuToolsAutoserial_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuToolsCachefile), "activate",
                      GTK_SIGNAL_FUNC (on_mnuToolsCachefile_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (mnuHelpAbout), "activate",
                      GTK_SIGNAL_FUNC (on_mnuHelpAbout_activate),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdNew), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdNew_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdOpen), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdOpen_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdSave), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdSave_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdInsert), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdInsert_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdRemove), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdRemove_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (txtRoot), "changed",
                      GTK_SIGNAL_FUNC (on_txtRoot_changed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdConfig), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdConfig_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdSyntax), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdSyntax_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (lstRrs), "select_row",
                      GTK_SIGNAL_FUNC (on_lstRrs_select_row),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (lstRrs), "button_press_event",
                      GTK_SIGNAL_FUNC (on_lstRrs_button_press_event),
                      NULL);

  gtk_object_set_data (GTK_OBJECT (frmMain), "tooltips", tooltips);

  gtk_window_add_accel_group (GTK_WINDOW (frmMain), accel_group);

  return frmMain;
}

GtkWidget*
create_frmAbout (void)
{
  GtkWidget *frmAbout;
  GtkWidget *table1;
  GtkWidget *cmdClose;
  GtkWidget *pixmap1;
  GtkWidget *label1;
  GtkWidget *hseparator1;

  frmAbout = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (frmAbout), "frmAbout", frmAbout);
  gtk_window_set_title (GTK_WINDOW (frmAbout), "About...");
  gtk_window_set_position (GTK_WINDOW (frmAbout), GTK_WIN_POS_MOUSE);
  gtk_window_set_policy (GTK_WINDOW (frmAbout), FALSE, FALSE, FALSE);

  table1 = gtk_table_new (3, 3, FALSE);
  gtk_widget_ref (table1);
  gtk_object_set_data_full (GTK_OBJECT (frmAbout), "table1", table1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table1);
  gtk_container_add (GTK_CONTAINER (frmAbout), table1);
  gtk_container_set_border_width (GTK_CONTAINER (table1), 8);
  gtk_table_set_row_spacings (GTK_TABLE (table1), 5);
  gtk_table_set_col_spacings (GTK_TABLE (table1), 5);

  cmdClose = gtk_button_new_with_label ("Close this window");
  gtk_widget_ref (cmdClose);
  gtk_object_set_data_full (GTK_OBJECT (frmAbout), "cmdClose", cmdClose,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdClose);
  gtk_table_attach (GTK_TABLE (table1), cmdClose, 2, 3, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  pixmap1 = create_pixmap (frmAbout, "gnome.xpm");
  gtk_widget_ref (pixmap1);
  gtk_object_set_data_full (GTK_OBJECT (frmAbout), "pixmap1", pixmap1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap1);
  gtk_table_attach (GTK_TABLE (table1), pixmap1, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (pixmap1), 0.5, 0);

  label1 = gtk_label_new ("Posadis Master File Editor 0.60.5\n\nA program to edit DNS master files for use with DNS servers such as Posadis and BIND.\n\nCopyright (C) Meilof Veeningen, 2003-2004\nFor more information, visit:\n\n    http://www.posadis.org/");
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (frmAbout), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_table_attach (GTK_TABLE (table1), label1, 1, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label1), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label1), 0, 0.5);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator1);
  gtk_object_set_data_full (GTK_OBJECT (frmAbout), "hseparator1", hseparator1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator1);
  gtk_table_attach (GTK_TABLE (table1), hseparator1, 0, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);

  gtk_signal_connect (GTK_OBJECT (frmAbout), "delete_event",
                      GTK_SIGNAL_FUNC (on_frmAbout_delete_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdClose), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdClose_clicked),
                      NULL);

  gtk_widget_grab_focus (cmdClose);
  return frmAbout;
}

GtkWidget*
create_frmError (void)
{
  GtkWidget *frmError;
  GtkWidget *vbox4;
  GtkWidget *hbox2;
  GtkWidget *pixmap2;
  GtkWidget *vbox3;
  GtkWidget *lblTitle;
  GtkWidget *lblError;
  GtkWidget *hbuttonbox1;
  GtkWidget *cmdErrorOK;

  frmError = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmError), "frmError", frmError);
  gtk_window_set_title (GTK_WINDOW (frmError), "Error!");
  gtk_window_set_position (GTK_WINDOW (frmError), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmError), TRUE);

  vbox4 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox4);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "vbox4", vbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox4);
  gtk_container_add (GTK_CONTAINER (frmError), vbox4);
  gtk_container_set_border_width (GTK_CONTAINER (vbox4), 6);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox4), hbox2, TRUE, TRUE, 0);

  pixmap2 = create_pixmap (frmError, "cancel.xpm");
  gtk_widget_ref (pixmap2);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "pixmap2", pixmap2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap2);
  gtk_box_pack_start (GTK_BOX (hbox2), pixmap2, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (pixmap2), 0.5, 0);
  gtk_misc_set_padding (GTK_MISC (pixmap2), 5, 5);

  vbox3 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox3);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "vbox3", vbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox3);
  gtk_box_pack_start (GTK_BOX (hbox2), vbox3, TRUE, TRUE, 0);

  lblTitle = gtk_label_new ("Error message:");
  gtk_widget_ref (lblTitle);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "lblTitle", lblTitle,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblTitle);
  gtk_box_pack_start (GTK_BOX (vbox3), lblTitle, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (lblTitle), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (lblTitle), 0, 0.5);

  lblError = gtk_label_new ("<error message>");
  gtk_widget_ref (lblError);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "lblError", lblError,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblError);
  gtk_box_pack_start (GTK_BOX (vbox3), lblError, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (lblError), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (lblError), 7.45058e-09, 7.45058e-09);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "hbuttonbox1", hbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (vbox4), hbuttonbox1, TRUE, TRUE, 0);

  cmdErrorOK = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdErrorOK);
  gtk_object_set_data_full (GTK_OBJECT (frmError), "cmdErrorOK", cmdErrorOK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdErrorOK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), cmdErrorOK);
  GTK_WIDGET_SET_FLAGS (cmdErrorOK, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (frmError), "delete_event",
                      GTK_SIGNAL_FUNC (on_frmError_delete_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdErrorOK), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdErrorOK_clicked),
                      NULL);

  gtk_widget_grab_focus (cmdErrorOK);
  gtk_widget_grab_default (cmdErrorOK);
  return frmError;
}

GtkWidget*
create_frmZoneConfig (void)
{
  GtkWidget *frmZoneConfig;
  GtkWidget *vbox5;
  GtkWidget *scrolledwindow4;
  GtkWidget *text1;
  GtkWidget *label10;
  GtkWidget *scrolledwindow2;
  GtkWidget *txtConfig;
  GtkWidget *hbuttonbox2;
  GtkWidget *cmdOK;
  GtkWidget *cmdCancel;

  frmZoneConfig = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmZoneConfig), "frmZoneConfig", frmZoneConfig);
  gtk_window_set_title (GTK_WINDOW (frmZoneConfig), "Zone Configuration");
  gtk_window_set_position (GTK_WINDOW (frmZoneConfig), GTK_WIN_POS_MOUSE);
  gtk_window_set_default_size (GTK_WINDOW (frmZoneConfig), 500, 300);

  vbox5 = gtk_vbox_new (FALSE, 3);
  gtk_widget_ref (vbox5);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "vbox5", vbox5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox5);
  gtk_container_add (GTK_CONTAINER (frmZoneConfig), vbox5);
  gtk_container_set_border_width (GTK_CONTAINER (vbox5), 3);

  scrolledwindow4 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow4);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "scrolledwindow4", scrolledwindow4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow4);
  gtk_box_pack_start (GTK_BOX (vbox5), scrolledwindow4, FALSE, FALSE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow4), GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);

  text1 = gtk_text_new (NULL, NULL);
  gtk_widget_ref (text1);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "text1", text1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (text1);
  gtk_container_add (GTK_CONTAINER (scrolledwindow4), text1);
  gtk_text_insert (GTK_TEXT (text1), NULL, NULL, NULL,
                   "In this dialog, you can enter Posadis configuration settings for the domain.\nThese settings will be ignored by other DNS servers.\n\nExamples:\n\n - slaves 213.21.15.33, 213.21.15.25 - set slave DNS servers\n - allow_xfr slaves - allow zone transfers to slaves only (default)\n - allow_xfr any - allow zone transfers to anybody\n - allow_xfr_to 127.0.0.1 - also allow zone transfers to this host", -1);

  label10 = gtk_label_new ("Zone configuration:");
  gtk_widget_ref (label10);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "label10", label10,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label10);
  gtk_box_pack_start (GTK_BOX (vbox5), label10, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (label10), 7.45058e-09, 0.5);

  scrolledwindow2 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow2);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "scrolledwindow2", scrolledwindow2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow2);
  gtk_box_pack_start (GTK_BOX (vbox5), scrolledwindow2, TRUE, TRUE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow2), GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);

  txtConfig = gtk_text_new (NULL, NULL);
  gtk_widget_ref (txtConfig);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "txtConfig", txtConfig,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtConfig);
  gtk_container_add (GTK_CONTAINER (scrolledwindow2), txtConfig);
  gtk_text_set_editable (GTK_TEXT (txtConfig), TRUE);

  hbuttonbox2 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox2);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "hbuttonbox2", hbuttonbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox2);
  gtk_box_pack_start (GTK_BOX (vbox5), hbuttonbox2, FALSE, TRUE, 0);

  cmdOK = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdOK);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "cmdOK", cmdOK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdOK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), cmdOK);
  GTK_WIDGET_SET_FLAGS (cmdOK, GTK_CAN_DEFAULT);

  cmdCancel = gtk_button_new_with_label ("Cancel");
  gtk_widget_ref (cmdCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmZoneConfig), "cmdCancel", cmdCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), cmdCancel);
  GTK_WIDGET_SET_FLAGS (cmdCancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (frmZoneConfig), "delete_event",
                      GTK_SIGNAL_FUNC (on_frmZoneconfig_delete_event),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdOK), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdOK_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdCancel_clicked),
                      NULL);

  return frmZoneConfig;
}

GtkWidget*
create_frmRR_SOA (void)
{
  GtkWidget *frmRR_SOA;
  GtkWidget *table4;
  GtkWidget *label17;
  GtkWidget *txtDom;
  GtkWidget *label18;
  GtkWidget *txtTTL;
  GtkWidget *label19;
  GtkWidget *label20;
  GtkWidget *txtMname;
  GtkWidget *label21;
  GtkWidget *txtRname;
  GtkWidget *label22;
  GtkWidget *label23;
  GtkWidget *txtRefresh;
  GtkWidget *label24;
  GtkWidget *txtSerial;
  GtkWidget *txtRetry;
  GtkWidget *label25;
  GtkWidget *label26;
  GtkWidget *txtExpire;
  GtkWidget *txtMinimum;
  GtkWidget *hbuttonbox3;
  GtkWidget *cmdSoaOk;
  GtkWidget *cmdSoaCancel;
  GtkWidget *hseparator2;
  GtkWidget *hseparator3;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  frmRR_SOA = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmRR_SOA), "frmRR_SOA", frmRR_SOA);
  gtk_window_set_title (GTK_WINDOW (frmRR_SOA), "Edit SOA record");
  gtk_window_set_position (GTK_WINDOW (frmRR_SOA), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmRR_SOA), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (frmRR_SOA), 300, -1);

  table4 = gtk_table_new (13, 2, FALSE);
  gtk_widget_ref (table4);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "table4", table4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table4);
  gtk_container_add (GTK_CONTAINER (frmRR_SOA), table4);

  label17 = gtk_label_new ("Domain name:");
  gtk_widget_ref (label17);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label17", label17,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label17);
  gtk_table_attach (GTK_TABLE (table4), label17, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label17), 0, 0.5);

  txtDom = gtk_entry_new ();
  gtk_widget_ref (txtDom);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtDom", txtDom,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtDom);
  gtk_table_attach (GTK_TABLE (table4), txtDom, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtDom, "Domain name the Record will be attached to. Can be relative to the zone root.", NULL);

  label18 = gtk_label_new ("Time To Live (TTL):");
  gtk_widget_ref (label18);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label18", label18,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label18);
  gtk_table_attach (GTK_TABLE (table4), label18, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label18), 0, 0.5);

  txtTTL = gtk_entry_new ();
  gtk_widget_ref (txtTTL);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtTTL", txtTTL,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtTTL);
  gtk_table_attach (GTK_TABLE (table4), txtTTL, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtTTL, "Time clients may cache this Record, in seconds unless a postfix is used (e.g. 2h is two hours).", NULL);

  label19 = gtk_label_new ("The SOA (Start of Authority) record contains information for your zone that is used by secondary DNS servers when they update the zone. It is obligatory; well-written DNS servers won't accept a zone without a SOA record connected to the zone root.");
  gtk_widget_ref (label19);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label19", label19,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label19);
  gtk_table_attach (GTK_TABLE (table4), label19, 0, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_usize (label19, 400, -2);
  gtk_label_set_justify (GTK_LABEL (label19), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label19), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label19), 0, 0.5);

  label20 = gtk_label_new ("Primary nameserver:");
  gtk_widget_ref (label20);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label20", label20,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label20);
  gtk_table_attach (GTK_TABLE (table4), label20, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label20), 0, 0.5);

  txtMname = gtk_entry_new ();
  gtk_widget_ref (txtMname);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtMname", txtMname,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtMname);
  gtk_table_attach (GTK_TABLE (table4), txtMname, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtMname, "Primary DNS server for this zone", NULL);

  label21 = gtk_label_new ("Administrator e-mail:");
  gtk_widget_ref (label21);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label21", label21,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label21);
  gtk_table_attach (GTK_TABLE (table4), label21, 0, 1, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label21), 0, 0.5);

  txtRname = gtk_entry_new ();
  gtk_widget_ref (txtRname);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtRname", txtRname,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtRname);
  gtk_table_attach (GTK_TABLE (table4), txtRname, 1, 2, 5, 6,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtRname, "E-mail adress of the zone maintainer. Note that BIND (unlike Posadis) doesn't support standard mail addresses; it will expect something like \"meilof.acdam.net.\" for meilof@acdam.net.", NULL);

  label22 = gtk_label_new ("Retry interval:");
  gtk_widget_ref (label22);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label22", label22,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label22);
  gtk_table_attach (GTK_TABLE (table4), label22, 0, 1, 8, 9,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label22), 0, 0.5);

  label23 = gtk_label_new ("Zone reload interval:");
  gtk_widget_ref (label23);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label23", label23,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label23);
  gtk_table_attach (GTK_TABLE (table4), label23, 0, 1, 7, 8,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label23), 0, 0.5);

  txtRefresh = gtk_entry_new ();
  gtk_widget_ref (txtRefresh);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtRefresh", txtRefresh,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtRefresh);
  gtk_table_attach (GTK_TABLE (table4), txtRefresh, 1, 2, 7, 8,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtRefresh, "Time before secondaries should check for updates of the zone.", NULL);

  label24 = gtk_label_new ("Serial number:");
  gtk_widget_ref (label24);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label24", label24,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label24);
  gtk_table_attach (GTK_TABLE (table4), label24, 0, 1, 6, 7,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label24), 0, 0.5);

  txtSerial = gtk_entry_new ();
  gtk_widget_ref (txtSerial);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtSerial", txtSerial,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtSerial);
  gtk_table_attach (GTK_TABLE (table4), txtSerial, 1, 2, 6, 7,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtSerial, "Serial number of this zone; incremented if secondaries should do an update.", NULL);

  txtRetry = gtk_entry_new ();
  gtk_widget_ref (txtRetry);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtRetry", txtRetry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtRetry);
  gtk_table_attach (GTK_TABLE (table4), txtRetry, 1, 2, 8, 9,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtRetry, "Time before secondaries should retry an update.", NULL);

  label25 = gtk_label_new ("Negative cache TTL:");
  gtk_widget_ref (label25);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label25", label25,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label25);
  gtk_table_attach (GTK_TABLE (table4), label25, 0, 1, 10, 11,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label25), 0, 0.5);

  label26 = gtk_label_new ("Expire interval:");
  gtk_widget_ref (label26);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "label26", label26,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label26);
  gtk_table_attach (GTK_TABLE (table4), label26, 0, 1, 9, 10,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label26), 0, 0.5);

  txtExpire = gtk_entry_new ();
  gtk_widget_ref (txtExpire);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtExpire", txtExpire,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtExpire);
  gtk_table_attach (GTK_TABLE (table4), txtExpire, 1, 2, 9, 10,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtExpire, "Time before secondaries should discard the zone if it cannot be updated.", NULL);

  txtMinimum = gtk_entry_new ();
  gtk_widget_ref (txtMinimum);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "txtMinimum", txtMinimum,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtMinimum);
  gtk_table_attach (GTK_TABLE (table4), txtMinimum, 1, 2, 10, 11,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtMinimum, "Time non-existent domain names may be cached, and default TTL for new domains.", NULL);

  hbuttonbox3 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox3);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "hbuttonbox3", hbuttonbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox3);
  gtk_table_attach (GTK_TABLE (table4), hbuttonbox3, 0, 2, 12, 13,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);

  cmdSoaOk = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdSoaOk);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "cmdSoaOk", cmdSoaOk,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdSoaOk);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), cmdSoaOk);
  GTK_WIDGET_SET_FLAGS (cmdSoaOk, GTK_CAN_DEFAULT);
  gtk_tooltips_set_tip (tooltips, cmdSoaOk, "Save the current values", NULL);

  cmdSoaCancel = gtk_button_new_with_label ("Cancel");
  gtk_widget_ref (cmdSoaCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "cmdSoaCancel", cmdSoaCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdSoaCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), cmdSoaCancel);
  GTK_WIDGET_SET_FLAGS (cmdSoaCancel, GTK_CAN_DEFAULT);
  gtk_tooltips_set_tip (tooltips, cmdSoaCancel, "Close this dialog box", NULL);

  hseparator2 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator2);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "hseparator2", hseparator2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator2);
  gtk_table_attach (GTK_TABLE (table4), hseparator2, 0, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 2);

  hseparator3 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator3);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SOA), "hseparator3", hseparator3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator3);
  gtk_table_attach (GTK_TABLE (table4), hseparator3, 0, 2, 11, 12,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 2);

  gtk_signal_connect (GTK_OBJECT (cmdSoaOk), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdSoaOk_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdSoaCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdSoaCancel_clicked),
                      NULL);

  gtk_widget_grab_default (cmdSoaOk);
  gtk_object_set_data (GTK_OBJECT (frmRR_SOA), "tooltips", tooltips);

  return frmRR_SOA;
}

GtkWidget*
create_frmRR_Generic (void)
{
  GtkWidget *frmRR_Generic;
  GtkWidget *table5;
  GtkWidget *label27;
  GtkWidget *txtDom;
  GtkWidget *label28;
  GtkWidget *txtTTL;
  GtkWidget *lblHelp;
  GtkWidget *lblData;
  GtkWidget *txtData;
  GtkWidget *hseparator4;
  GtkWidget *hseparator5;
  GtkWidget *hbuttonbox4;
  GtkWidget *cmdGenericOk;
  GtkWidget *cmdGenericCancel;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  frmRR_Generic = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmRR_Generic), "frmRR_Generic", frmRR_Generic);
  gtk_window_set_title (GTK_WINDOW (frmRR_Generic), "Edit Resource Record");
  gtk_window_set_position (GTK_WINDOW (frmRR_Generic), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmRR_Generic), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (frmRR_Generic), 400, -1);

  table5 = gtk_table_new (7, 2, FALSE);
  gtk_widget_ref (table5);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "table5", table5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table5);
  gtk_container_add (GTK_CONTAINER (frmRR_Generic), table5);

  label27 = gtk_label_new ("Domain name:");
  gtk_widget_ref (label27);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "label27", label27,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label27);
  gtk_table_attach (GTK_TABLE (table5), label27, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label27), 0, 0.5);

  txtDom = gtk_entry_new ();
  gtk_widget_ref (txtDom);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "txtDom", txtDom,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtDom);
  gtk_table_attach (GTK_TABLE (table5), txtDom, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtDom, "Domain name the Record will be attached to. Can be relative to the zone root.", NULL);

  label28 = gtk_label_new ("Time To Live (TTL):");
  gtk_widget_ref (label28);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "label28", label28,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label28);
  gtk_table_attach (GTK_TABLE (table5), label28, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label28), 0, 0.5);

  txtTTL = gtk_entry_new ();
  gtk_widget_ref (txtTTL);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "txtTTL", txtTTL,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtTTL);
  gtk_table_attach (GTK_TABLE (table5), txtTTL, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtTTL, "Time clients may cache this Record, in seconds unless a postfix is used (e.g. 2h is two hours).", NULL);

  lblHelp = gtk_label_new ("Using this form, you can edit records Mfedit does not have special knowledge of. To learn what to fill in in the RR data field, refer to documentation such as the Posadis manual.");
  gtk_widget_ref (lblHelp);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "lblHelp", lblHelp,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblHelp);
  gtk_table_attach (GTK_TABLE (table5), lblHelp, 0, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_widget_set_usize (lblHelp, 400, -2);
  gtk_label_set_justify (GTK_LABEL (lblHelp), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (lblHelp), TRUE);
  gtk_misc_set_alignment (GTK_MISC (lblHelp), 0, 0.5);

  lblData = gtk_label_new ("RR data:");
  gtk_widget_ref (lblData);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "lblData", lblData,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblData);
  gtk_table_attach (GTK_TABLE (table5), lblData, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (lblData), 0, 0.5);

  txtData = gtk_entry_new ();
  gtk_widget_ref (txtData);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "txtData", txtData,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtData);
  gtk_table_attach (GTK_TABLE (table5), txtData, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtData, "Data for the Resource Record (RR-specific)", NULL);

  hseparator4 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator4);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "hseparator4", hseparator4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator4);
  gtk_table_attach (GTK_TABLE (table5), hseparator4, 0, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 2);

  hseparator5 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator5);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "hseparator5", hseparator5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator5);
  gtk_table_attach (GTK_TABLE (table5), hseparator5, 0, 2, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 2);

  hbuttonbox4 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox4);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "hbuttonbox4", hbuttonbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox4);
  gtk_table_attach (GTK_TABLE (table5), hbuttonbox4, 0, 2, 6, 7,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);

  cmdGenericOk = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdGenericOk);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "cmdGenericOk", cmdGenericOk,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdGenericOk);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), cmdGenericOk);
  GTK_WIDGET_SET_FLAGS (cmdGenericOk, GTK_CAN_DEFAULT);
  gtk_tooltips_set_tip (tooltips, cmdGenericOk, "Save the current values", NULL);

  cmdGenericCancel = gtk_button_new_with_label ("Cancel");
  gtk_widget_ref (cmdGenericCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Generic), "cmdGenericCancel", cmdGenericCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdGenericCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), cmdGenericCancel);
  GTK_WIDGET_SET_FLAGS (cmdGenericCancel, GTK_CAN_DEFAULT);
  gtk_tooltips_set_tip (tooltips, cmdGenericCancel, "Close this dialog box", NULL);

  gtk_signal_connect (GTK_OBJECT (cmdGenericOk), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdGenericOk_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdGenericCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdGenericCancel_clicked),
                      NULL);

  gtk_widget_grab_focus (cmdGenericOk);
  gtk_widget_grab_default (cmdGenericOk);
  gtk_object_set_data (GTK_OBJECT (frmRR_Generic), "tooltips", tooltips);

  return frmRR_Generic;
}

GtkWidget*
create_frmAsksave (void)
{
  GtkWidget *frmAsksave;
  GtkWidget *vbox6;
  GtkWidget *hbox3;
  GtkWidget *pixmap3;
  GtkWidget *label31;
  GtkWidget *hseparator6;
  GtkWidget *hbuttonbox5;
  GtkWidget *cmdSaveOK;
  GtkWidget *cmdSaveCancel;

  frmAsksave = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmAsksave), "frmAsksave", frmAsksave);
  gtk_window_set_title (GTK_WINDOW (frmAsksave), "Save your changes?");
  gtk_window_set_position (GTK_WINDOW (frmAsksave), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmAsksave), TRUE);

  vbox6 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox6);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "vbox6", vbox6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox6);
  gtk_container_add (GTK_CONTAINER (frmAsksave), vbox6);

  hbox3 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox3);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "hbox3", hbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox3);
  gtk_box_pack_start (GTK_BOX (vbox6), hbox3, FALSE, FALSE, 0);

  pixmap3 = create_pixmap (frmAsksave, "tb_help.xpm");
  gtk_widget_ref (pixmap3);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "pixmap3", pixmap3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap3);
  gtk_box_pack_start (GTK_BOX (hbox3), pixmap3, TRUE, TRUE, 0);

  label31 = gtk_label_new ("Do you want to save your changes?");
  gtk_widget_ref (label31);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "label31", label31,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label31);
  gtk_box_pack_start (GTK_BOX (hbox3), label31, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (label31), 7.45058e-09, 0.5);
  gtk_misc_set_padding (GTK_MISC (label31), 5, 5);

  hseparator6 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator6);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "hseparator6", hseparator6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator6);
  gtk_box_pack_start (GTK_BOX (vbox6), hseparator6, TRUE, TRUE, 0);

  hbuttonbox5 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox5);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "hbuttonbox5", hbuttonbox5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox5);
  gtk_box_pack_start (GTK_BOX (vbox6), hbuttonbox5, TRUE, TRUE, 0);

  cmdSaveOK = gtk_button_new_with_label ("Yes");
  gtk_widget_ref (cmdSaveOK);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "cmdSaveOK", cmdSaveOK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdSaveOK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox5), cmdSaveOK);
  GTK_WIDGET_SET_FLAGS (cmdSaveOK, GTK_CAN_DEFAULT);

  cmdSaveCancel = gtk_button_new_with_label ("Don't bother");
  gtk_widget_ref (cmdSaveCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmAsksave), "cmdSaveCancel", cmdSaveCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdSaveCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox5), cmdSaveCancel);
  GTK_WIDGET_SET_FLAGS (cmdSaveCancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (cmdSaveOK), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdSaveOK_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdSaveCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdSaveCancel_clicked),
                      NULL);

  return frmAsksave;
}

GtkWidget*
create_frmNew (void)
{
  GtkWidget *frmNew;
  GtkWidget *vbox7;
  GtkWidget *hbox4;
  GtkWidget *pixmap4;
  GtkWidget *label32;
  GtkWidget *hseparator7;
  GtkWidget *table6;
  GtkWidget *label38;
  GtkWidget *label37;
  GtkWidget *label36;
  GtkWidget *label35;
  GtkWidget *label34;
  GtkWidget *label33;
  GtkWidget *txtAdmin;
  GtkWidget *txtFtp;
  GtkWidget *txtHttp;
  GtkWidget *txtMail;
  GtkWidget *txtSecondary;
  GtkWidget *txtDNS;
  GtkWidget *hseparator10;
  GtkWidget *label39;
  GtkWidget *txtRoot;
  GtkWidget *chkCatchall;
  GtkWidget *hseparator9;
  GtkWidget *hbuttonbox6;
  GtkWidget *cmdNewOK;
  GtkWidget *cmdNewCancel;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  frmNew = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmNew), "frmNew", frmNew);
  gtk_window_set_title (GTK_WINDOW (frmNew), "Create new Master File");
  gtk_window_set_position (GTK_WINDOW (frmNew), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmNew), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (frmNew), 300, -1);

  vbox7 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox7);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "vbox7", vbox7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox7);
  gtk_container_add (GTK_CONTAINER (frmNew), vbox7);

  hbox4 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox4);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "hbox4", hbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox4);
  gtk_box_pack_start (GTK_BOX (vbox7), hbox4, TRUE, TRUE, 0);

  pixmap4 = create_pixmap (frmNew, "tb_new.xpm");
  gtk_widget_ref (pixmap4);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "pixmap4", pixmap4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap4);
  gtk_box_pack_start (GTK_BOX (hbox4), pixmap4, FALSE, TRUE, 0);
  gtk_misc_set_padding (GTK_MISC (pixmap4), 5, 0);

  label32 = gtk_label_new ("Using this dialog box, you can create a new Master file for your zone. If you want to, you can supply some values to create a basic zone skeleton (otherwise, leave some fields empty).");
  gtk_widget_ref (label32);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label32", label32,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label32);
  gtk_box_pack_start (GTK_BOX (hbox4), label32, TRUE, TRUE, 0);
  gtk_label_set_line_wrap (GTK_LABEL (label32), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label32), 7.45058e-09, 0.5);
  gtk_misc_set_padding (GTK_MISC (label32), 2, 2);

  hseparator7 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator7);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "hseparator7", hseparator7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator7);
  gtk_box_pack_start (GTK_BOX (vbox7), hseparator7, TRUE, TRUE, 0);

  table6 = gtk_table_new (8, 2, FALSE);
  gtk_widget_ref (table6);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "table6", table6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table6);
  gtk_box_pack_start (GTK_BOX (vbox7), table6, TRUE, TRUE, 0);

  label38 = gtk_label_new ("Mail address of administrator:");
  gtk_widget_ref (label38);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label38", label38,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label38);
  gtk_table_attach (GTK_TABLE (table6), label38, 0, 1, 7, 8,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label38), 0, 0.5);

  label37 = gtk_label_new ("IP number of FTP server:");
  gtk_widget_ref (label37);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label37", label37,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label37);
  gtk_table_attach (GTK_TABLE (table6), label37, 0, 1, 6, 7,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label37), 0, 0.5);

  label36 = gtk_label_new ("IP number of web server:");
  gtk_widget_ref (label36);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label36", label36,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label36);
  gtk_table_attach (GTK_TABLE (table6), label36, 0, 1, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label36), 0, 0.5);

  label35 = gtk_label_new ("IP number of mail server:");
  gtk_widget_ref (label35);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label35", label35,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label35);
  gtk_table_attach (GTK_TABLE (table6), label35, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label35), 0, 0.5);

  label34 = gtk_label_new ("IP number of secondary DNS:");
  gtk_widget_ref (label34);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label34", label34,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label34);
  gtk_table_attach (GTK_TABLE (table6), label34, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label34), 0, 0.5);

  label33 = gtk_label_new ("IP number of this DNS server:");
  gtk_widget_ref (label33);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label33", label33,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label33);
  gtk_table_attach (GTK_TABLE (table6), label33, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label33), 0, 0.5);

  txtAdmin = gtk_entry_new ();
  gtk_widget_ref (txtAdmin);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtAdmin", txtAdmin,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtAdmin);
  gtk_table_attach (GTK_TABLE (table6), txtAdmin, 1, 2, 7, 8,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtAdmin, "E-mail address of the zone administrator. Note that BIND (unlike Posadis) doesn't support standard mail addresses; it will expect something like \"meilof.acdam.net\" for meilof@acdam.net.", NULL);

  txtFtp = gtk_entry_new ();
  gtk_widget_ref (txtFtp);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtFtp", txtFtp,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtFtp);
  gtk_table_attach (GTK_TABLE (table6), txtFtp, 1, 2, 6, 7,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtFtp, "IP number of FTP server connected to 'ftp' domain.", NULL);

  txtHttp = gtk_entry_new ();
  gtk_widget_ref (txtHttp);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtHttp", txtHttp,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtHttp);
  gtk_table_attach (GTK_TABLE (table6), txtHttp, 1, 2, 5, 6,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtHttp, "IP number of web server connected to 'www' domain.", NULL);

  txtMail = gtk_entry_new ();
  gtk_widget_ref (txtMail);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtMail", txtMail,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtMail);
  gtk_table_attach (GTK_TABLE (table6), txtMail, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtMail, "IP number of mail server for the root domain.", NULL);

  txtSecondary = gtk_entry_new ();
  gtk_widget_ref (txtSecondary);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtSecondary", txtSecondary,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtSecondary);
  gtk_table_attach (GTK_TABLE (table6), txtSecondary, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtSecondary, "An IP number of a secondary DNS server which serves this zone as well. You can add more nameservers later on.", NULL);

  txtDNS = gtk_entry_new ();
  gtk_widget_ref (txtDNS);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtDNS", txtDNS,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtDNS);
  gtk_table_attach (GTK_TABLE (table6), txtDNS, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtDNS, "IP number of the primary DNS server (the server that will serve this zone file)", NULL);

  hseparator10 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator10);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "hseparator10", hseparator10,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator10);
  gtk_table_attach (GTK_TABLE (table6), hseparator10, 0, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);

  label39 = gtk_label_new ("Zone root:");
  gtk_widget_ref (label39);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "label39", label39,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label39);
  gtk_table_attach (GTK_TABLE (table6), label39, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label39), 0, 0.5);

  txtRoot = gtk_entry_new ();
  gtk_widget_ref (txtRoot);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "txtRoot", txtRoot,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtRoot);
  gtk_table_attach (GTK_TABLE (table6), txtRoot, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtRoot, "The domain name of the top domain of the zone.", NULL);

  chkCatchall = gtk_check_button_new_with_label ("Redirect nonexistent domain names to 'www' domain");
  gtk_widget_ref (chkCatchall);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "chkCatchall", chkCatchall,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (chkCatchall);
  gtk_box_pack_start (GTK_BOX (vbox7), chkCatchall, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, chkCatchall, "If set, all requests for non-existent domain names within the zone will be redirected to the 'www' subdomain of your zone.", NULL);

  hseparator9 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator9);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "hseparator9", hseparator9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator9);
  gtk_box_pack_start (GTK_BOX (vbox7), hseparator9, TRUE, TRUE, 0);

  hbuttonbox6 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox6);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "hbuttonbox6", hbuttonbox6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox6);
  gtk_box_pack_start (GTK_BOX (vbox7), hbuttonbox6, TRUE, TRUE, 0);

  cmdNewOK = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdNewOK);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "cmdNewOK", cmdNewOK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdNewOK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox6), cmdNewOK);
  GTK_WIDGET_SET_FLAGS (cmdNewOK, GTK_CAN_DEFAULT);

  cmdNewCancel = gtk_button_new_with_label ("Cancel");
  gtk_widget_ref (cmdNewCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmNew), "cmdNewCancel", cmdNewCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdNewCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox6), cmdNewCancel);
  GTK_WIDGET_SET_FLAGS (cmdNewCancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (cmdNewOK), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdNewOK_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdNewCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdNewCancel_clicked),
                      NULL);

  gtk_widget_grab_focus (txtRoot);
  gtk_widget_grab_default (cmdNewOK);
  gtk_object_set_data (GTK_OBJECT (frmNew), "tooltips", tooltips);

  return frmNew;
}

GtkWidget*
create_frmRR_Two (void)
{
  GtkWidget *frmRR_Two;
  GtkWidget *vbox8;
  GtkWidget *lblHelp;
  GtkWidget *table7;
  GtkWidget *hseparator12;
  GtkWidget *label41;
  GtkWidget *label42;
  GtkWidget *lblData1;
  GtkWidget *txtData1;
  GtkWidget *txtDom;
  GtkWidget *txtTTL;
  GtkWidget *lblData2;
  GtkWidget *txtData2;
  GtkWidget *hseparator11;
  GtkWidget *hbuttonbox7;
  GtkWidget *cmdRR_Two_OK;
  GtkWidget *cmdRR_Two_Cancel;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  frmRR_Two = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmRR_Two), "frmRR_Two", frmRR_Two);
  gtk_window_set_title (GTK_WINDOW (frmRR_Two), "RR<two> editor");
  gtk_window_set_position (GTK_WINDOW (frmRR_Two), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmRR_Two), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (frmRR_Two), 400, -1);

  vbox8 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox8);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "vbox8", vbox8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox8);
  gtk_container_add (GTK_CONTAINER (frmRR_Two), vbox8);

  lblHelp = gtk_label_new ("Help text for the RR");
  gtk_widget_ref (lblHelp);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "lblHelp", lblHelp,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblHelp);
  gtk_box_pack_start (GTK_BOX (vbox8), lblHelp, FALSE, FALSE, 0);
  gtk_widget_set_usize (lblHelp, 400, -2);
  gtk_label_set_line_wrap (GTK_LABEL (lblHelp), TRUE);
  gtk_misc_set_alignment (GTK_MISC (lblHelp), 7.45058e-09, 0.5);

  table7 = gtk_table_new (5, 2, FALSE);
  gtk_widget_ref (table7);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "table7", table7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table7);
  gtk_box_pack_start (GTK_BOX (vbox8), table7, TRUE, TRUE, 0);

  hseparator12 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator12);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "hseparator12", hseparator12,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator12);
  gtk_table_attach (GTK_TABLE (table7), hseparator12, 0, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);

  label41 = gtk_label_new ("Domain name:");
  gtk_widget_ref (label41);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "label41", label41,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label41);
  gtk_table_attach (GTK_TABLE (table7), label41, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label41), 0, 0.5);

  label42 = gtk_label_new ("Time To Live (TTL):");
  gtk_widget_ref (label42);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "label42", label42,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label42);
  gtk_table_attach (GTK_TABLE (table7), label42, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label42), 0, 0.5);

  lblData1 = gtk_label_new ("RR-specific header:");
  gtk_widget_ref (lblData1);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "lblData1", lblData1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblData1);
  gtk_table_attach (GTK_TABLE (table7), lblData1, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (lblData1), 0, 0.5);

  txtData1 = gtk_entry_new ();
  gtk_widget_ref (txtData1);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "txtData1", txtData1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtData1);
  gtk_table_attach (GTK_TABLE (table7), txtData1, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  txtDom = gtk_entry_new ();
  gtk_widget_ref (txtDom);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "txtDom", txtDom,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtDom);
  gtk_table_attach (GTK_TABLE (table7), txtDom, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtDom, "Domain name the Record will be attached to. Can be relative to the zone root.", NULL);

  txtTTL = gtk_entry_new ();
  gtk_widget_ref (txtTTL);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "txtTTL", txtTTL,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtTTL);
  gtk_table_attach (GTK_TABLE (table7), txtTTL, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtTTL, "Time clients may cache this Record, in seconds unless a postfix is used (e.g. 2h is two hours).", NULL);

  lblData2 = gtk_label_new ("Header 2:");
  gtk_widget_ref (lblData2);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "lblData2", lblData2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (lblData2);
  gtk_table_attach (GTK_TABLE (table7), lblData2, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (lblData2), 0, 0.5);

  txtData2 = gtk_entry_new ();
  gtk_widget_ref (txtData2);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "txtData2", txtData2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtData2);
  gtk_table_attach (GTK_TABLE (table7), txtData2, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  hseparator11 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator11);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "hseparator11", hseparator11,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator11);
  gtk_box_pack_start (GTK_BOX (vbox8), hseparator11, TRUE, TRUE, 0);

  hbuttonbox7 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox7);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "hbuttonbox7", hbuttonbox7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox7);
  gtk_box_pack_start (GTK_BOX (vbox8), hbuttonbox7, TRUE, TRUE, 0);

  cmdRR_Two_OK = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdRR_Two_OK);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "cmdRR_Two_OK", cmdRR_Two_OK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdRR_Two_OK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox7), cmdRR_Two_OK);
  GTK_WIDGET_SET_FLAGS (cmdRR_Two_OK, GTK_CAN_DEFAULT);

  cmdRR_Two_Cancel = gtk_button_new_with_label ("Cancel");
  gtk_widget_ref (cmdRR_Two_Cancel);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_Two), "cmdRR_Two_Cancel", cmdRR_Two_Cancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdRR_Two_Cancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox7), cmdRR_Two_Cancel);
  GTK_WIDGET_SET_FLAGS (cmdRR_Two_Cancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (cmdRR_Two_OK), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdRR_Two_OK_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdRR_Two_Cancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdRR_Two_Cancel_clicked),
                      NULL);

  gtk_object_set_data (GTK_OBJECT (frmRR_Two), "tooltips", tooltips);

  return frmRR_Two;
}

GtkWidget*
create_frmRR_SRV (void)
{
  GtkWidget *frmRR_SRV;
  GtkWidget *vbox9;
  GtkWidget *label43;
  GtkWidget *table8;
  GtkWidget *label44;
  GtkWidget *label45;
  GtkWidget *label46;
  GtkWidget *label47;
  GtkWidget *label48;
  GtkWidget *label49;
  GtkWidget *txtDom;
  GtkWidget *txtTTL;
  GtkWidget *txtPriority;
  GtkWidget *txtWeight;
  GtkWidget *txtPort;
  GtkWidget *txtHost;
  GtkWidget *hseparator14;
  GtkWidget *hseparator13;
  GtkWidget *hbuttonbox8;
  GtkWidget *cmdOK;
  GtkWidget *cmdCancel;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  frmRR_SRV = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmRR_SRV), "frmRR_SRV", frmRR_SRV);
  gtk_window_set_title (GTK_WINDOW (frmRR_SRV), "Edit SRV record");
  gtk_window_set_position (GTK_WINDOW (frmRR_SRV), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmRR_SRV), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (frmRR_SRV), 400, -1);

  vbox9 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox9);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "vbox9", vbox9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox9);
  gtk_container_add (GTK_CONTAINER (frmRR_SRV), vbox9);

  label43 = gtk_label_new ("");
  gtk_label_parse_uline (GTK_LABEL (label43),
                         "The SRV (Service) record can be used as a general way to specify the location of services. The domain name this RR is attached to, should be like \"_http._tcp.acdam.net\" for the \"acdam.net\" HTTP server. Sadly, this method is not widely used.");
  gtk_widget_ref (label43);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label43", label43,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label43);
  gtk_box_pack_start (GTK_BOX (vbox9), label43, FALSE, FALSE, 0);
  gtk_widget_set_usize (label43, 400, -2);
  gtk_label_set_justify (GTK_LABEL (label43), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label43), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label43), 7.45058e-09, 0.5);

  table8 = gtk_table_new (7, 2, FALSE);
  gtk_widget_ref (table8);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "table8", table8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table8);
  gtk_box_pack_start (GTK_BOX (vbox9), table8, TRUE, TRUE, 0);

  label44 = gtk_label_new ("Domain name:");
  gtk_widget_ref (label44);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label44", label44,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label44);
  gtk_table_attach (GTK_TABLE (table8), label44, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label44), 0, 0.5);

  label45 = gtk_label_new ("Time To Live (TTL):");
  gtk_widget_ref (label45);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label45", label45,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label45);
  gtk_table_attach (GTK_TABLE (table8), label45, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label45), 0, 0.5);

  label46 = gtk_label_new ("Priority:");
  gtk_widget_ref (label46);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label46", label46,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label46);
  gtk_table_attach (GTK_TABLE (table8), label46, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label46), 0, 0.5);

  label47 = gtk_label_new ("Load distribution weight:");
  gtk_widget_ref (label47);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label47", label47,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label47);
  gtk_table_attach (GTK_TABLE (table8), label47, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label47), 0, 0.5);

  label48 = gtk_label_new ("Port:");
  gtk_widget_ref (label48);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label48", label48,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label48);
  gtk_table_attach (GTK_TABLE (table8), label48, 0, 1, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label48), 0, 0.5);

  label49 = gtk_label_new ("Host domain name:");
  gtk_widget_ref (label49);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "label49", label49,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label49);
  gtk_table_attach (GTK_TABLE (table8), label49, 0, 1, 6, 7,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label49), 0, 0.5);

  txtDom = gtk_entry_new ();
  gtk_widget_ref (txtDom);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "txtDom", txtDom,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtDom);
  gtk_table_attach (GTK_TABLE (table8), txtDom, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtDom, "Domain name the Record will be attached to. Can be relative to the zone root, and should be of the form _service._protocol.domain, where protocol is usually tcp, and service is something like ftp, http, smtp, and so on.", NULL);

  txtTTL = gtk_entry_new ();
  gtk_widget_ref (txtTTL);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "txtTTL", txtTTL,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtTTL);
  gtk_table_attach (GTK_TABLE (table8), txtTTL, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtTTL, "Time clients may cache this Record, in seconds unless a postfix is used (e.g. 2h is two hours).", NULL);

  txtPriority = gtk_entry_new ();
  gtk_widget_ref (txtPriority);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "txtPriority", txtPriority,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtPriority);
  gtk_table_attach (GTK_TABLE (table8), txtPriority, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtPriority, "Priority value. Entries with lower priority values will be used first. Only if none of one level can be reached, entries of a higher level will be tried.", NULL);

  txtWeight = gtk_entry_new ();
  gtk_widget_ref (txtWeight);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "txtWeight", txtWeight,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtWeight);
  gtk_table_attach (GTK_TABLE (table8), txtWeight, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtWeight, "Entries with the same priority will be queried in proportion to this value (e.g. if one has 10 and the other has 90, the former will receive 10% of all queries).", NULL);

  txtPort = gtk_entry_new ();
  gtk_widget_ref (txtPort);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "txtPort", txtPort,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtPort);
  gtk_table_attach (GTK_TABLE (table8), txtPort, 1, 2, 5, 6,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtPort, "The port clients should connect to.", NULL);

  txtHost = gtk_entry_new ();
  gtk_widget_ref (txtHost);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "txtHost", txtHost,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (txtHost);
  gtk_table_attach (GTK_TABLE (table8), txtHost, 1, 2, 6, 7,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_tooltips_set_tip (tooltips, txtHost, "The domain name clients should connect to. This domain should have A or AAAA record attached to it.", NULL);

  hseparator14 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator14);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "hseparator14", hseparator14,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator14);
  gtk_table_attach (GTK_TABLE (table8), hseparator14, 0, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);

  hseparator13 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator13);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "hseparator13", hseparator13,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator13);
  gtk_box_pack_start (GTK_BOX (vbox9), hseparator13, TRUE, TRUE, 0);

  hbuttonbox8 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox8);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "hbuttonbox8", hbuttonbox8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox8);
  gtk_box_pack_start (GTK_BOX (vbox9), hbuttonbox8, TRUE, TRUE, 0);

  cmdOK = gtk_button_new_with_label ("OK");
  gtk_widget_ref (cmdOK);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "cmdOK", cmdOK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdOK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox8), cmdOK);
  GTK_WIDGET_SET_FLAGS (cmdOK, GTK_CAN_DEFAULT);

  cmdCancel = gtk_button_new_with_label ("Cancel");
  gtk_widget_ref (cmdCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmRR_SRV), "cmdCancel", cmdCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox8), cmdCancel);
  GTK_WIDGET_SET_FLAGS (cmdCancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (cmdOK), "clicked",
                      GTK_SIGNAL_FUNC (on_frmSRV_cmdOK_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_frmSRV_cmdCancel_clicked),
                      NULL);

  gtk_object_set_data (GTK_OBJECT (frmRR_SRV), "tooltips", tooltips);

  return frmRR_SRV;
}

GtkWidget*
create_frmOverwrite (void)
{
  GtkWidget *frmOverwrite;
  GtkWidget *vbox10;
  GtkWidget *hbox5;
  GtkWidget *pixmap5;
  GtkWidget *label50;
  GtkWidget *hseparator15;
  GtkWidget *hbuttonbox9;
  GtkWidget *cmdOK;
  GtkWidget *cmdCancel;

  frmOverwrite = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (frmOverwrite), "frmOverwrite", frmOverwrite);
  gtk_window_set_title (GTK_WINDOW (frmOverwrite), "Overwrite file?");
  gtk_window_set_position (GTK_WINDOW (frmOverwrite), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (frmOverwrite), TRUE);

  vbox10 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox10);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "vbox10", vbox10,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox10);
  gtk_container_add (GTK_CONTAINER (frmOverwrite), vbox10);

  hbox5 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox5);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "hbox5", hbox5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox5);
  gtk_box_pack_start (GTK_BOX (vbox10), hbox5, FALSE, FALSE, 0);

  pixmap5 = create_pixmap (frmOverwrite, "tb_help.xpm");
  gtk_widget_ref (pixmap5);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "pixmap5", pixmap5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap5);
  gtk_box_pack_start (GTK_BOX (hbox5), pixmap5, TRUE, TRUE, 0);

  label50 = gtk_label_new ("The file you specified already exists. Overwrite?");
  gtk_widget_ref (label50);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "label50", label50,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label50);
  gtk_box_pack_start (GTK_BOX (hbox5), label50, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (label50), 7.45058e-09, 0.5);
  gtk_misc_set_padding (GTK_MISC (label50), 5, 5);

  hseparator15 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator15);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "hseparator15", hseparator15,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator15);
  gtk_box_pack_start (GTK_BOX (vbox10), hseparator15, TRUE, TRUE, 0);

  hbuttonbox9 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox9);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "hbuttonbox9", hbuttonbox9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox9);
  gtk_box_pack_start (GTK_BOX (vbox10), hbuttonbox9, TRUE, TRUE, 0);

  cmdOK = gtk_button_new_with_label ("Yes");
  gtk_widget_ref (cmdOK);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "cmdOK", cmdOK,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdOK);
  gtk_container_add (GTK_CONTAINER (hbuttonbox9), cmdOK);
  GTK_WIDGET_SET_FLAGS (cmdOK, GTK_CAN_DEFAULT);

  cmdCancel = gtk_button_new_with_label ("No");
  gtk_widget_ref (cmdCancel);
  gtk_object_set_data_full (GTK_OBJECT (frmOverwrite), "cmdCancel", cmdCancel,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (cmdCancel);
  gtk_container_add (GTK_CONTAINER (hbuttonbox9), cmdCancel);
  GTK_WIDGET_SET_FLAGS (cmdCancel, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (cmdOK), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdOverwriteOK_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (cmdCancel), "clicked",
                      GTK_SIGNAL_FUNC (on_cmdOverwriteCancel_clicked),
                      NULL);

  return frmOverwrite;
}

